# Printscan server
## Version 3.1

This repository contains files used to set up our printscan server on a freshly installed Armbian. Target is Bullseye.

### Introduction
(see wiki for need and concept explanation)

Version 3.1 implementation works roughly as follows:
##### SBC
* the Armbian-based device is connected to local network, and an all-in-one printer is connected to it via USB;
* SANE and CUPS services are installed and running on the device;
* CUPS is configured to provide a remote printer to network;
* SANE is configured to provide local scan;
* [scanservjs](https://github.com/sbs20/scanservjs) runs on the SBC, providing a web interface for scan.

### Files
Files in this repository cover all the SBC setup.
#### Installation
* `setup.sh` is a script automating the installation and configuration of required software.
* `cupsd.conf` is the config file for CUPS, set by setup script.
* `scanservjs.conf` is an Apache HTTP vhost file for scanservjs.

### TODO
* Add a firewall rule to block access to port 8080.
